%define		php_name	php%{?php_suffix}
%define		modname		selinux
%define		status		devel
Summary:	SELinux binding for PHP script language
Summary(pl.UTF-8):	Dowiązania PHP do SELinuksa
Name:		%{php_name}-pecl-%{modname}
Version:	0.3.1
Release:	8
License:	PHP 3.01
Group:		Development/Languages/PHP
Source0:	http://pecl.php.net/get/%{modname}-%{version}.tgz
# Source0-md5:	54857a8908e199113d128b8a652f5121
URL:		http://pecl.php.net/package/selinux/
BuildRequires:	%{php_name}-devel >= 3:5.0.4
BuildRequires:	libselinux-devel >= 2.0.80
BuildRequires:	rpmbuild(macros) >= 1.650
%{?requires_php_extension}
Provides:	php(%{modname}) = %{version}
Obsoletes:	php-pecl-selinux < 0.3.1-7
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This extension provides a set of interfaces to communicate between
SELinux and PHP script language. It contains functions to get/set
security context of processes and other objects, to get/set system
booleans, to make a query for in-kernel security server and so on.

In PECL status of this extension is: %{status}.

%description -l pl.UTF-8
Rozszerzenie to udostępnia zestaw interfejsów do komunikacji pomiędzy
PHP a SELinuksem. Zawiera między innymi funkcje do pobierania /
ustawiania kontekstów bezpieczeństwa procesów czy innych obiektów,
wartości logicznych, odpytywania wbudowanego w kernel wserwera
bezpieczeństwa itp.

To rozszerzenie ma w PECL status: %{status}.

%prep
%setup -q -c
mv %{modname}-%{version}/* .

%build
phpize
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_sysconfdir}/conf.d

%{__make} install \
	INSTALL_ROOT=$RPM_BUILD_ROOT \
	EXTENSION_DIR=%{php_extensiondir}
cat <<'EOF' > $RPM_BUILD_ROOT%{php_sysconfdir}/conf.d/%{modname}.ini
; Enable %{modname} extension module
extension=%{modname}.so
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%post
%php_webserver_restart

%postun
if [ "$1" = 0 ]; then
	%php_webserver_restart
fi

%files
%defattr(644,root,root,755)
%doc README
%config(noreplace) %verify(not md5 mtime size) %{php_sysconfdir}/conf.d/%{modname}.ini
%attr(755,root,root) %{php_extensiondir}/%{modname}.so
%changelog
* Fri May 16 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/php-pecl-selinux.git;a=log;h=master

* Fri May 16 2014 Elan Ruusamäe <glen@delfi.ee> c42c166
- obsolete old php name
- release 8 (by relup.sh)

* Sun Apr 27 2014 Elan Ruusamäe <glen@delfi.ee> 624d853
- php 5.5 rebuild
- release 7 (by relup.sh)

* Sun Nov 24 2013 Elan Ruusamäe <glen@delfi.ee> 79b1d03
- provide php(extname) to really be supporting multiple php versions

* Fri Jun 21 2013 Elan Ruusamäe <glen@delfi.ee> bbf7bc2
- support building for multiple php versions

* Thu Aug 23 2012 Elan Ruusamäe <glen@delfi.ee> 51f0fcb
- use php(core) as dependency to require php version
- release 4 (by relup.sh)

* Fri Aug 03 2012 Elan Ruusamäe <glen@delfi.ee> 72a345b
- release 4 (by relup.sh)

* Sat Dec 11 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 08b2c76
- release 3

* Wed Jun 02 2010 Elan Ruusamäe <glen@pld-linux.org> 84eb0bf
- release 2

* Fri May 01 2009 amateja <amateja@pld-linux.org> b76198c
- updated to 0.3.1
- specified BR libselinux-devel version - 2.0.80

* Mon Mar 16 2009 duddits <duddits@pld-linux.org> ecd1602
- up to 0.2.1

* Fri Mar 06 2009 Adam Gołębiowski <adamg@pld-linux.org> 17a6f4e
- new

